curl -X GET "https://api.finscreener.in/api/watchlist?page=1&limit=10" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": [
{
"id": "wl_123",
"name": "Target Companies",
"type": "company",
"count": 25,
"created_at": "2026-01-15T10:00:00Z"
}
],
"total": 3,
"page": 1,
"limit": 10
}
Watchlist
List Watchlists
Get all user watchlists
GET
/
api
/
watchlist
curl -X GET "https://api.finscreener.in/api/watchlist?page=1&limit=10" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": [
{
"id": "wl_123",
"name": "Target Companies",
"type": "company",
"count": 25,
"created_at": "2026-01-15T10:00:00Z"
}
],
"total": 3,
"page": 1,
"limit": 10
}
Retrieve all watchlists created by the authenticated user.
Headers
string
required
Bearer token:
Bearer <access_token>Query Parameters
number
default:"1"
Page number
number
default:"10"
Results per page (max: 100)
string
Search watchlists by name
Response
array
curl -X GET "https://api.finscreener.in/api/watchlist?page=1&limit=10" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"data": [
{
"id": "wl_123",
"name": "Target Companies",
"type": "company",
"count": 25,
"created_at": "2026-01-15T10:00:00Z"
}
],
"total": 3,
"page": 1,
"limit": 10
}